package events
{
	import flash.events.Event;

	public class PhoneLineEvent extends Event
	{
		public static const PHONE_LINE_STATE_CHANGED:String = "PhoneLineEvent.PhoneLineStateChanged";
		
		private var _phoneLineState:int;
		public function PhoneLineEvent(phoneLineState:int)
		{
			_phoneLineState = phoneLineState;
			super(PHONE_LINE_STATE_CHANGED);
		}
		
		public function get phoneLineState():int
		{
			return _phoneLineState;
		}
		
		public override function clone():Event
		{
			return new PhoneLineEvent(_phoneLineState);
		}
	}
}